Navigation block broken after Leap2a import

Bug #1333424 reported by Son Nguyen on 2014-06-23
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Mahara
Medium
Unassigned
1.10
Medium
Unassigned
1.9
Medium
Unassigned
15.04
Medium
Unassigned
15.10
Medium
Unassigned

Bug Description

Version: master (1.10), 1.9, 1.8, 1.7

After importing the attached leap2a file which has a collection and a navigation block pointed to this collection, I found the navigation block now pointed to the old collection id.

Son Nguyen (ngson2000) wrote :
Changed in mahara:
importance: Undecided → Medium
Aaron Wells (u-aaronw) on 2014-09-09
no longer affects: mahara/1.8
no longer affects: mahara/1.9
Meg Goodine (meg-goodine) wrote :

Can anyone provide information on the status of this issue? Thanks

Aaron Wells (u-aaronw) wrote :

Hi Meg,

This bug is still present in the latest Mahara version, 15.10dev. Are you encountering problems because of it?

Cheers,
Aaron

summary: - Leap2A import does not update the collection id in navigation block
+ Navigation block broken after Leap2a import

Thanks Aaron. Yes, we are planning a move to a new "Mahoodle" environment and will be changing the way our accounts are created. We were planning to have students export their existing content to the new set up and many of them have mature portfolios with many navigation blocks in their collections. Having them remove their navigation blocks before the export or re-add them in the new location will not be an easy sell. If you could provide any ETA on when a fix might be feasible, we would greatly appreciate it.

Thanks

Meg

> On Jun 11, 2015, at 8:01 PM, Aaron Wells <email address hidden> wrote:
>
> Hi Meg,
>
> This bug is still present in the latest Mahara version, 15.10dev. Are
> you encountering problems because of it?
>
> Cheers,
> Aaron
>
> ** Summary changed:
>
> - Leap2A import does not update the collection id in navigation block
> + Navigation block broken after Leap2a import
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1333424
>
> Title:
> Navigation block broken after Leap2a import
>
> Status in Mahara ePortfolio:
> Confirmed
> Status in Mahara 1.10 series:
> Confirmed
> Status in Mahara 1.9 series:
> Confirmed
> Status in Mahara 15.04 series:
> Confirmed
> Status in Mahara 15.10 series:
> Confirmed
>
> Bug description:
> Version: master (1.10), 1.9, 1.8, 1.7
>
> After importing the attached leap2a file which has a collection and a
> navigation block pointed to this collection, I found the navigation
> block now pointed to the old collection id.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/mahara/+bug/1333424/+subscriptions

Aaron Wells (u-aaronw) wrote :

To replicate this problem:

1. Create a collection C
2. Create a page P
3. Put page P in collection C
4. Add a navigation block to page P and make it point at collection C.
5. Export collection C to a leap2a file
6. Re-import the leap2a file into your portfolio (or a different user's portfolio)
7. Change the name of the imported copy of collection C to "C2"
8. Look at the navigation block on page P

Expected result: It should now show that it's pointed at collection C2
Actual result: It will either be broken, or it will be pointing at collection C.

Reviewed: https://reviews.mahara.org/4971
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/3658fa88e0ad7d7442b8dd066964d118dcb877eb
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 3658fa88e0ad7d7442b8dd066964d118dcb877eb
Author: Aaron Wells <email address hidden>
Date: Wed Jul 15 18:28:31 2015 +1200

Rewrite the navigation block's collection pointer, after leap2a import

Bug 1333424

Change-Id: I6ab58a154513fbe3185be91f251c5c1aa213a7a1

Robert Lyon (robertl-9) wrote :

This issue also exists if you have a page outside the collection with a nav block pointing to the collection.

The fix also sorts this problem out

Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/4977

Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/4978

Reviewed: https://reviews.mahara.org/4978
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/0544da1813aa04fb195cb1ba477c7a4eef0ee591
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 0544da1813aa04fb195cb1ba477c7a4eef0ee591
Author: Aaron Wells <email address hidden>
Date: Wed Jul 15 18:28:31 2015 +1200

Rewrite the navigation block's collection pointer, after leap2a import

Bug 1333424

Change-Id: I6ab58a154513fbe3185be91f251c5c1aa213a7a1
(cherry picked from commit 3658fa88e0ad7d7442b8dd066964d118dcb877eb)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4977
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/87ea8c8d6f887fd765cee9354527ebd77cdfcf21
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit 87ea8c8d6f887fd765cee9354527ebd77cdfcf21
Author: Aaron Wells <email address hidden>
Date: Wed Jul 15 18:28:31 2015 +1200

Rewrite the navigation block's collection pointer, after leap2a import

Bug 1333424

Change-Id: I6ab58a154513fbe3185be91f251c5c1aa213a7a1
(cherry picked from commit 3658fa88e0ad7d7442b8dd066964d118dcb877eb)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4976
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/8210882c18ffa61e5afa4693cac5db2e9f9ee267
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 8210882c18ffa61e5afa4693cac5db2e9f9ee267
Author: Aaron Wells <email address hidden>
Date: Wed Jul 15 18:28:31 2015 +1200

Rewrite the navigation block's collection pointer, after leap2a import

Bug 1333424

Change-Id: I6ab58a154513fbe3185be91f251c5c1aa213a7a1
(cherry picked from commit 3658fa88e0ad7d7442b8dd066964d118dcb877eb)

Aaron Wells (u-aaronw) wrote :

Thanks to Kwantlen Polytechnic University for sponsoring this bug fix!

Robert Lyon (robertl-9) on 2016-11-06
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers